Index: test/corfunc/test/utest_corfunc.py
===================================================================
--- test/corfunc/test/utest_corfunc.py	(revision acefa2b7b00d8d908758f184828fbf18d106e742)
+++ test/corfunc/test/utest_corfunc.py	(revision 253eb6c67e1e6610e872a17727530be787222114)
@@ -8,5 +8,5 @@
 from sas.sascalc.corfunc.corfunc_calculator import CorfuncCalculator
 from sas.sascalc.dataloader.data_info import Data1D
-import matplotlib.pyplot as plt
+
 
 class TestCalculator(unittest.TestCase):
@@ -69,5 +69,4 @@
         self.assertLess(abs(params['max']-75), 2.5) # L_p ~= 75
 
-
     # Ensure tests are ran in correct order;
     # Each test depends on the one before it
Index: test/pr_inversion/test/utest_invertor.py
===================================================================
--- test/pr_inversion/test/utest_invertor.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/pr_inversion/test/utest_invertor.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -568,9 +568,11 @@
     
 def load(path = "sphere_60_q0_2.txt"):
-    import numpy, math, sys
+    import numpy as np
+    import math
+    import sys
     # Read the data from the data file
-    data_x   = numpy.zeros(0)
-    data_y   = numpy.zeros(0)
-    data_err = numpy.zeros(0)
+    data_x   = np.zeros(0)
+    data_y   = np.zeros(0)
+    data_err = np.zeros(0)
     scale    = None
     if not path == None:
@@ -589,7 +591,7 @@
                         scale = 0.15*math.sqrt(y)
                     err = scale*math.sqrt(y)
-                data_x = numpy.append(data_x, x)
-                data_y = numpy.append(data_y, y)
-                data_err = numpy.append(data_err, err)
+                data_x = np.append(data_x, x)
+                data_y = np.append(data_y, y)
+                data_err = np.append(data_err, err)
             except:
                 pass
Index: test/sascalculator/test/utest_sas_gen.py
===================================================================
--- test/sascalculator/test/utest_sas_gen.py	(revision ef908db37c9eb600c4448e9e4633b500a40c6361)
+++ test/sascalculator/test/utest_sas_gen.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -8,7 +8,4 @@
 from sas.sascalc.calculator import sas_gen
 
-import numpy
- 
-import os.path
 
 class sas_gen_test(unittest.TestCase):
@@ -51,5 +48,6 @@
         self.assertEqual(output.pos_z[0], 0.0)
 
+
 if __name__ == '__main__':
     unittest.main()
-   
+
Index: test/sasdataloader/plugins/test_reader.py
===================================================================
--- test/sasdataloader/plugins/test_reader.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasdataloader/plugins/test_reader.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -8,5 +8,6 @@
 copyright 2008, University of Tennessee
 """
-import numpy, os
+import os
+import numpy as np
 from sas.sascalc.dataloader.data_info import Data1D
 
@@ -40,12 +41,12 @@
                 buff = input_f.read()
                 lines = buff.split('\n')
-                x  = numpy.zeros(0)
-                y  = numpy.zeros(0)
-                dy = numpy.zeros(0)
+                x  = np.zeros(0)
+                y  = np.zeros(0)
+                dy = np.zeros(0)
                 output = Data1D(x, y, dy=dy)
                 self.filename = output.filename = basename
            
                 for line in lines:
-                    x  = numpy.append(x,  float(line)) 
+                    x  = np.append(x,  float(line))
                     
                 output.x = x
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision 5f26aa48a5e34765d73c20fa10024d5319567854)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -4,9 +4,11 @@
 
 import unittest
-import numpy, math
-from sas.sascalc.dataloader.loader import  Loader
+
+import math
+import numpy as np
+from sas.sascalc.dataloader.loader import Loader
+from sas.sascalc.dataloader.readers.IgorReader import Reader as IgorReader
 from sas.sascalc.dataloader.data_info import Data1D
  
-import os.path
 
 class abs_reader(unittest.TestCase):
@@ -86,6 +88,9 @@
     
     def setUp(self):
-        self.data = Loader().load("MAR07232_rest.ASC")
-        
+        # the IgorReader should be able to read this filetype
+        # if it can't, stop here.
+        reader = IgorReader()
+        self.data = reader.read("MAR07232_rest.ASC")
+
     def test_igor_checkdata(self):
         """
@@ -108,14 +113,25 @@
         
         self.assertEqual(self.data.detector[0].beam_center_unit, 'mm')
-        center_x = (68.76-1)*5.0
-        center_y = (62.47-1)*5.0
+        center_x = (68.76 - 1)*5.0
+        center_y = (62.47 - 1)*5.0
         self.assertEqual(self.data.detector[0].beam_center.x, center_x)
         self.assertEqual(self.data.detector[0].beam_center.y, center_y)
         
         self.assertEqual(self.data.I_unit, '1/cm')
-        self.assertEqual(self.data.data[0], 0.279783)
-        self.assertEqual(self.data.data[1], 0.28951)
-        self.assertEqual(self.data.data[2], 0.167634)
-        
+        # 3 points should be suffcient to check that the data is in column
+        # major order.
+        np.testing.assert_almost_equal(self.data.data[0:3],
+                                       [0.279783, 0.28951, 0.167634])
+        np.testing.assert_almost_equal(self.data.qx_data[0:3],
+                                       [-0.01849072, -0.01821785, -0.01794498])
+        np.testing.assert_almost_equal(self.data.qy_data[0:3],
+                                       [-0.01677435, -0.01677435, -0.01677435])
+
+    def test_generic_loader(self):
+        # the generic loader should direct the file to IgorReader as well
+        data = Loader().load("MAR07232_rest.ASC")
+        self.assertEqual(data.meta_data['loader'], "IGOR 2D")
+
+
 class danse_reader(unittest.TestCase):
     
@@ -313,7 +329,7 @@
         from sas.sascalc.dataloader.readers.cansas_reader import Reader
         r = Reader()
-        x = numpy.ones(5)
-        y = numpy.ones(5)
-        dy = numpy.ones(5)
+        x = np.ones(5)
+        y = np.ones(5)
+        dy = np.ones(5)
         
         filename = "write_test.xml"
Index: test/sasdataloader/test/utest_averaging.py
===================================================================
--- test/sasdataloader/test/utest_averaging.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasdataloader/test/utest_averaging.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -1,10 +1,10 @@
 
 import unittest
+import math
 
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sascalc.dataloader.manipulations import Ring, CircularAverage, SectorPhi, get_q,reader2D_converter
- 
-import os.path
-import numpy, math
+
+import numpy as np
 import sas.sascalc.dataloader.data_info as data_info
 
@@ -18,6 +18,6 @@
             should return the predefined height of the distribution (1.0).
         """
-        x_0  = numpy.ones([100,100])
-        dx_0 = numpy.ones([100,100])
+        x_0  = np.ones([100,100])
+        dx_0 = np.ones([100,100])
         
         self.data = data_info.Data2D(data=x_0, err_data=dx_0)
@@ -42,9 +42,9 @@
         
         self.qstep = len(x_0)
-        x=  numpy.linspace(start= -1*self.qmax,
+        x=  np.linspace(start= -1*self.qmax,
                                stop= self.qmax,
                                num= self.qstep,
                                endpoint=True )  
-        y = numpy.linspace(start= -1*self.qmax,
+        y = np.linspace(start= -1*self.qmax,
                                stop= self.qmax,
                                num= self.qstep,
Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ test/sasdataloader/test/utest_cansas.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -15,5 +15,5 @@
 import pylint as pylint
 import unittest
-import numpy
+import numpy as np
 import logging
 import warnings
Index: test/sasguiframe/test/utest_manipulations.py
===================================================================
--- test/sasguiframe/test/utest_manipulations.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ test/sasguiframe/test/utest_manipulations.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -5,5 +5,6 @@
 
 import unittest
-import numpy, math
+import math
+import numpy as np
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sasgui.guiframe.dataFitting import Data1D, Data2D
@@ -52,15 +53,15 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = numpy.ones(5)
+        x_0 = np.ones(5)
         for i in range(5):
             x_0[i] = x_0[i]*(i+1.0)
             
-        y_0 = 2.0*numpy.ones(5)
-        dy_0 = 0.5*numpy.ones(5)
+        y_0 = 2.0*np.ones(5)
+        dy_0 = 0.5*np.ones(5)
         self.data = Data1D(x_0, y_0, dy=dy_0)
         
         x = self.data.x
-        y = numpy.ones(5)
-        dy = numpy.ones(5)
+        y = np.ones(5)
+        dy = np.ones(5)
         self.data2 = Data1D(x, y, dy=dy)
         
@@ -155,22 +156,22 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*numpy.ones(25)
-        dx_0 = 0.5*numpy.ones(25)
-        qx_0 = numpy.arange(25)
-        qy_0 = numpy.arange(25)
-        mask_0 = numpy.zeros(25)
-        dqx_0 = numpy.arange(25)/100
-        dqy_0 = numpy.arange(25)/100
-        q_0 = numpy.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
+        x_0 = 2.0*np.ones(25)
+        dx_0 = 0.5*np.ones(25)
+        qx_0 = np.arange(25)
+        qy_0 = np.arange(25)
+        mask_0 = np.zeros(25)
+        dqx_0 = np.arange(25)/100
+        dqy_0 = np.arange(25)/100
+        q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
         self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
                            qy_data=qy_0, q_data=q_0, mask=mask_0, 
                            dqx_data=dqx_0, dqy_data=dqy_0)
         
-        y = numpy.ones(25)
-        dy = numpy.ones(25)
-        qx = numpy.arange(25)
-        qy = numpy.arange(25)
-        mask = numpy.zeros(25)
-        q = numpy.sqrt(qx * qx + qy * qy)
+        y = np.ones(25)
+        dy = np.ones(25)
+        qx = np.arange(25)
+        qy = np.arange(25)
+        mask = np.zeros(25)
+        q = np.sqrt(qx * qx + qy * qy)
         self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
                             q_data=q, mask=mask)
@@ -182,5 +183,5 @@
         """
         # There should be 5 entries in the file
-        self.assertEqual(numpy.size(self.data.data), 25)
+        self.assertEqual(np.size(self.data.data), 25)
         
         for i in range(25):
@@ -263,22 +264,22 @@
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*numpy.ones(25)
-        dx_0 = 0.5*numpy.ones(25)
-        qx_0 = numpy.arange(25)
-        qy_0 = numpy.arange(25)
-        mask_0 = numpy.zeros(25)
-        dqx_0 = numpy.arange(25)/100
-        dqy_0 = numpy.arange(25)/100
-        q_0 = numpy.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
+        x_0 = 2.0*np.ones(25)
+        dx_0 = 0.5*np.ones(25)
+        qx_0 = np.arange(25)
+        qy_0 = np.arange(25)
+        mask_0 = np.zeros(25)
+        dqx_0 = np.arange(25)/100
+        dqy_0 = np.arange(25)/100
+        q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
         self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
                            qy_data=qy_0, q_data=q_0, mask=mask_0, 
                            dqx_data=dqx_0, dqy_data=dqy_0)
         
-        y = numpy.ones(25)
-        dy = numpy.ones(25)
-        qx = numpy.arange(25)
-        qy = numpy.arange(25)
-        mask = numpy.zeros(25)
-        q = numpy.sqrt(qx * qx + qy * qy)
+        y = np.ones(25)
+        dy = np.ones(25)
+        qx = np.arange(25)
+        qy = np.arange(25)
+        mask = np.zeros(25)
+        q = np.sqrt(qx * qx + qy * qy)
         self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
                             q_data=q, mask=mask)
@@ -290,5 +291,5 @@
         """
         # There should be 5 entries in the file
-        self.assertEqual(numpy.size(self.data.data), 25)
+        self.assertEqual(np.size(self.data.data), 25)
         
         for i in range(25):
Index: test/sasinvariant/test/utest_data_handling.py
===================================================================
--- test/sasinvariant/test/utest_data_handling.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasinvariant/test/utest_data_handling.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -9,5 +9,6 @@
 """
 import unittest
-import numpy, math
+import math
+import numpy as np
 from sas.sascalc.dataloader.loader import  Loader
 from sas.sascalc.dataloader.data_info import Data1D
@@ -20,6 +21,6 @@
     """
     def setUp(self):
-        x = numpy.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
-        y = numpy.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
+        x = np.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
+        y = np.asarray([1.,2.,3.,4.,5.,6.,7.,8.,9.])
         dy = y/10.0
         
@@ -135,6 +136,6 @@
         
     def test_error_treatment(self):
-        x = numpy.asarray(numpy.asarray([0,1,2,3]))
-        y = numpy.asarray(numpy.asarray([1,1,1,1]))
+        x = np.asarray(np.asarray([0,1,2,3]))
+        y = np.asarray(np.asarray([1,1,1,1]))
         
         # These are all the values of the dy array that would cause
@@ -340,6 +341,6 @@
         self.scale = 1.5
         self.rg = 30.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -383,6 +384,6 @@
         self.scale = 1.5
         self.m = 3.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])                
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -427,6 +428,6 @@
             that can't be transformed
         """
-        x = numpy.asarray(numpy.asarray([0,1,2,3]))
-        y = numpy.asarray(numpy.asarray([1,1,1,1]))
+        x = np.asarray(np.asarray([0,1,2,3]))
+        y = np.asarray(np.asarray([1,1,1,1]))
         g = invariant.Guinier()
         data_in = Data1D(x=x, y=y)
@@ -438,7 +439,7 @@
         
     def test_allowed_bins(self):
-        x = numpy.asarray(numpy.asarray([0,1,2,3]))
-        y = numpy.asarray(numpy.asarray([1,1,1,1]))
-        dy = numpy.asarray(numpy.asarray([1,1,1,1]))
+        x = np.asarray(np.asarray([0,1,2,3]))
+        y = np.asarray(np.asarray([1,1,1,1]))
+        dy = np.asarray(np.asarray([1,1,1,1]))
         g = invariant.Guinier()
         data = Data1D(x=x, y=y, dy=dy)
@@ -465,6 +466,6 @@
         self.scale = 1.5
         self.rg = 30.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -513,6 +514,6 @@
         self.scale = 1.5
         self.rg = 30.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.exp( -(q*self.rg)**2 / 3.0 ) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
@@ -600,6 +601,6 @@
         self.scale = 1.5
         self.m = 3.0
-        x = numpy.arange(0.0001, 0.1, 0.0001)
-        y = numpy.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])                
+        x = np.arange(0.0001, 0.1, 0.0001)
+        y = np.asarray([self.scale * math.pow(q ,-1.0*self.m) for q in x])
         dy = y*.1
         self.data = Data1D(x=x, y=y, dy=dy)
Index: test/sasinvariant/test/utest_use_cases.py
===================================================================
--- test/sasinvariant/test/utest_use_cases.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ test/sasinvariant/test/utest_use_cases.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -5,5 +5,4 @@
 #TODO: there's no test for smeared extrapolation
 import unittest
-import numpy
 from sas.sascalc.dataloader.loader import  Loader
 
